# Copyright (C) 2022 WYATT GROUP
# Please see the AUTHORS file for details.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <https://www.gnu.org/licenses/>.

kind: pipeline
type: docker
name: default

steps:
  - name: quality-check
    image: git.wyatt-studio.fr/wyatt-foss/flutter-melos:2.9.0-1
    commands:
      - melos run quality-check
      - melos run publish:validate
  - name: publish
    image: git.wyatt-studio.fr/wyatt-foss/flutter-melos:2.9.0-1
    commands:
      - melos run publish:validate

trigger:
  branch:
    - master
  event:
    - push
    - pull_request
